; *****************************************************************************
; *
; * hsi2c.inc
; *
; *   Paul Holden, Maxim Integrated Products
; *
; * DESCRIPTION
; *
; *   Macro definitions used for delays in hsi2c.asm
; *
; * LEGAL
; *
; *   See README.txt
; *
; * REVISIONS
; *   2005 10 06 - v1.0 Initial release
; *
; *****************************************************************************

; MACROS ----------------------------------------------------------------------

HSI2C_T_SU_STA MACRO
   nop
   nop
   nop
   nop
ENDM

HSI2C_T_HD_STA MACRO
   nop
   nop
   nop
   nop
ENDM

HSI2C_T_HD_DAT MACRO
   nop
ENDM

HSI2C_T_SU_DAT MACRO
   nop
   nop
   nop
   nop
   nop
ENDM

HSI2C_T_HIGH MACRO
   nop
   nop
   nop
   nop
ENDM

HSI2C_T_HIGH_1 MACRO
   ; none
ENDM

HSI2C_T_HIGH_2 MACRO
   nop
ENDM

HSI2C_T_LOW MACRO
   nop
   nop
   nop
   nop
   nop
   nop
   nop
ENDM

HSI2C_T_LOW_SUB_2 MACRO
   nop
   nop
   nop
   nop
   nop
ENDM